Recent

Author Topic: LAMW Compile Error ARMEABI  (Read 667 times)

nullpointer

  • New Member
  • *
  • Posts: 24
  • impossible is nothing
    • The Userman
LAMW Compile Error ARMEABI
« on: February 10, 2019, 05:49:48 am »
Hello,

I tried to compiling LAMW project but got an error (attached).

Fatal: Cannot find system used by fcllaz. Make sure all ppu files of a package are in its output directory. ppu in wrong directory=C:\lazarus\fpc\3.0.4\units\arm-android\rtl\system.ppu..

How to fix this error ?

Lazarus 1.8.4 - FPC 3.0.4 - Win 7 32 Bits

jmpessoa

  • Hero Member
  • *****
  • Posts: 1470
Re: LAMW Compile Error ARMEABI
« Reply #1 on: February 10, 2019, 06:05:10 am »


LAMW need Lazarus + FPC cross-compile for arm-android ....

For Windows, you can try "laz4android" :    https://sourceforge.net/projects/laz4android/

How to Install:

https://github.com/jmpessoa/lazandroidmodulewizard/blob/master/LAMW%20Getting%20Started.txt
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard